Logout a specific device
curl --request POST \
--url https://api.flowxi.app/api/v1/auth/logout-device \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"device_id": "device-uuid-123"
}
'import requests
url = "https://api.flowxi.app/api/v1/auth/logout-device"
payload = { "device_id": "device-uuid-123" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({device_id: 'device-uuid-123'})
};
fetch('https://api.flowxi.app/api/v1/auth/logout-device', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "LOGOUT_SUCCESS",
"message": "Logged out."
}{
"code": "UNAUTHENTICATED",
"message": "Unauthenticated."
}{
"code": "DEVICE_NOT_FOUND",
"message": "Device not found."
}{
"code": "VALIDATION_FAILED",
"message": "Validation failed.",
"errors": {
"email": [
"The email field is required."
]
}
}Devices
Logout a specific device
Revokes the token associated with a device_id.
POST
/
api
/
v1
/
auth
/
logout-device
Logout a specific device
⌘I

